> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User's Preferences

> Gets all the preferences of the authenticated user in the workspace.

## OpenAPI

````json GET /api/v1/users.getPreferences
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "User Management"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "LDAP"
    },
    {
      "name": "Permissions"
    },
    {
      "name": "Roles"
    },
    {
      "name": "Users"
    }
  ],
  "paths": {
    "/api/v1/users.getPreferences": {
      "get": {
        "tags": [
          "Users"
        ],
        "summary": "Get User's Preferences",
        "description": "Gets all the preferences of the authenticated user in the workspace.",
        "operationId": "get-api-v1-users.getPreferences",
        "parameters": [
          {
            "$ref": "#/components/parameters/Auth-Token"
          },
          {
            "$ref": "#/components/parameters/UserId"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "preferences": {
                      "type": "object",
                      "properties": {
                        "newRoomNotification": {
                          "type": "string"
                        },
                        "newMessageNotification": {
                          "type": "string"
                        },
                        "muteFocusedConversations": {
                          "type": "boolean"
                        },
                        "useEmojis": {
                          "type": "boolean"
                        },
                        "convertAsciiEmoji": {
                          "type": "boolean"
                        },
                        "saveMobileBandwidth": {
                          "type": "boolean"
                        },
                        "collapseMediaByDefault": {
                          "type": "boolean"
                        },
                        "autoImageLoad": {
                          "type": "boolean"
                        },
                        "emailNotificationMode": {
                          "type": "string"
                        },
                        "roomsListExhibitionMode": {
                          "type": "string"
                        },
                        "unreadAlert": {
                          "type": "boolean"
                        },
                        "notificationsSoundVolume": {
                          "type": "integer"
                        },
                        "desktopNotifications": {
                          "type": "string"
                        },
                        "mobileNotifications": {
                          "type": "string"
                        },
                        "enableAutoAway": {
                          "type": "boolean"
                        },
                        "highlights": {
                          "type": "array",
                          "items": {
                            "type": "object"
                          }
                        },
                        "desktopNotificationDuration": {
                          "type": "integer"
                        },
                        "viewMode": {
                          "type": "integer"
                        },
                        "hideUsernames": {
                          "type": "boolean"
                        },
                        "hideRoles": {
                          "type": "boolean"
                        },
                        "hideAvatars": {
                          "type": "boolean"
                        },
                        "hideFlexTab": {
                          "type": "boolean"
                        },
                        "sendOnEnter": {
                          "type": "string"
                        },
                        "roomCounterSidebar": {
                          "type": "boolean"
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "preferences": {
                        "newRoomNotification": "door",
                        "newMessageNotification": "chime",
                        "muteFocusedConversations": "true",
                        "useEmojis": "true",
                        "convertAsciiEmoji": "true",
                        "saveMobileBandwidth": "true",
                        "collapseMediaByDefault": "false",
                        "autoImageLoad": "true",
                        "emailNotificationMode": "all",
                        "roomsListExhibitionMode": "category",
                        "unreadAlert": "true",
                        "notificationsSoundVolume": "100",
                        "desktopNotifications": "default",
                        "mobileNotifications": "default",
                        "enableAutoAway": "true",
                        "highlights": [],
                        "desktopNotificationDuration": "0",
                        "viewMode": "0",
                        "hideUsernames": "false",
                        "hideRoles": "false",
                        "hideAvatars": "false",
                        "hideFlexTab": "false",
                        "sendOnEnter": "normal",
                        "roomCounterSidebar": "false"
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The authenticated user token.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The authenticated user ID.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      }
    },
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

